/* reset */
* {
    margin: 0;
    padding: 0;
}

/* root */
:root {
    /* root définition lorsque utilisation des layout */
    /* définition de variable avec "--", rappel de la variable var() */

    /* vert clair */
    --title: #38a093;

    /* vert foncé */
    --text: #16645a;
    --btn: #16645a;
    --btn-hover: #38a093;
    --btn-text: white;

    /* orange foncé */
    --bg-primary: #eb5e28;
    --banner: #eb5e28;

    /* orange clair */
    --bg-secondary: #fca311;
}

/* polices */
.roboto-title {
    font-family: "Roboto", sans-serif;
    font-optical-sizing: auto;
    font-weight: bold;
    font-style: normal;
    font-variation-settings: "wdth" 100;
}

.roboto-text {
    font-family: "Roboto", sans-serif;
    font-optical-sizing: auto;
    font-weight: normal;
    font-style: normal;
    font-variation-settings: "wdth" 100;
}

.roboto-link {
    font-family: "Roboto", sans-serif;
    font-optical-sizing: auto;
    font-weight: normal;
    font-style: normal;
    font-size: medium;
    font-variation-settings: "wdth" 100;
}

.montserrat-title {
    font-family: "Montserrat", sans-serif;
    font-optical-sizing: auto;
    font-weight: bold;
    font-style: normal;
    font-size: larger;
}

.montserrat-text {
    font-family: "Montserrat", sans-serif;
    font-optical-sizing: auto;
    font-weight: normal;
    font-style: normal;
}

.montserrat-link {
    font-family: "Montserrat", sans-serif;
    font-optical-sizing: auto;
    font-weight: normal;
    font-style: normal;
}

/* Bandeau */
.banner {
    /* Contraindre la largeur max de la page */
    max-width: 1200px;
    /* centrage de la page en appliquant des marges à droite et gauche en automatique */
    margin-inline: auto;
    padding: 3px;
    font-style: italic;
    border-radius: 4px;
    background-color: #38a093;
    color: white;
    text-align: center;
}

.banner a:link {
    color: white;
    text-decoration-line: none;
}

.banner a:hover {
    color: #16645a;
}

.banner a:visited {
    color: white;
}

/* barre de navigation */
nav {
    /* Contraindre la largeur max de la page */
    max-width: 1200px;
    /* centrage de la page en appliquant des marges à droite et gauche en automatique */
    margin-inline: auto;
    display: flex;
    justify-content: space-between;
    font-family: Verdana, Geneva, Tahoma, sans-serif;
    /* taille responsivle du texte des cartouches du menu */
    font-size: calc(0.3rem + 0.8vw);
}

.logo {
    padding: 2px;
    display: flex;
    align-items: center;
    justify-content: left;
    width: 6rem;
    height: auto;

}

ul {
    display: flex;
    justify-content: right;
    list-style: none;
    align-items: center;
    padding: 5px;
    font-size: large;
}

ul .menu {
    align-content: center;
}

.menu li {
    color: white;
    background-color: #38a093;
    text-align: center;
    margin: 5px;
    padding: 10px;
    border-radius: 5px;
}

.menu li:hover {
    background-color: #16645a;
    text-decoration: none;
}

li a:link {
    color: white;
    text-decoration-line: none;
}

li a:visited {
    color: white;
}

/* body */

main {
    color: #16645a;
    padding-top: 10px;
}

.container {
    /* Contraindre la largeur max de la page */
    max-width: 1200px;
    /* centrage du container en appliquant des marges à droite et gauche en automatique */
    margin-inline: auto;
}

.container img {
    /* permet de contraindre la taille de l'image à la taille de la fenêtre */
    max-width: 100%;
}

.title {
    text-align: center;
}

p {
    text-align: justify;
    padding: 10px;
}

.type {
    display: grid;
    padding: 10px;
}

img .decors {
    max-width: 100%;
}

.decors {
    display: flex;
    justify-content: center;
}


/* pieds de page */

footer {
    /* Contraindre la largeur max du footer */
    max-width: 1200px;
    /* centrage de la page en appliquant des marges à droite et gauche en automatique */
    margin-inline: auto;
    font-size: smaller;
    color: gray;
}

footer a:visited {
    color: #38a093;
}

footer a:link {
    color: #38a093;
    text-decoration-line: none;
}

footer a:hover {
    color: #16645a;
}

.foot {
    display: flex;
    justify-content: space-between;
}

.footer-link-1 {
    flex-direction: column;
    font-size: small;
}

.footer-link-2 {
    flex-direction: column;
    font-size: small;
}

.footer-link-3 {
    flex-direction: row;
    font-size: small;
}

.copyright {
    display: flex;
    justify-content: center;
    flex-direction: row;
}

/* media queries  */

@media (max-width: 768px) {
    body {
        background-color: aqua;
    }

}